> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hub Configs



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/teams/{team_id}/hubs/{hub_id}/contact-attributes
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/hubs/{hub_id}/contact-attributes:
    get:
      tags:
        - contact-attributes-admin-hub-config
      summary: List Hub Configs
      operationId: >-
        contact_attributes_admin_hub_config.get_contact_attributes_admin_hub_config_get_teams_by_team_id_hubs_by_hub_id_contact_attributes
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HubConfigListResponse'
          description: Successful Response
        '400':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Validation error
        '401':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Not authenticated
        '403':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Forbidden
        '404':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Resource not found
        '409':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Conflict
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiErrorResponse'
          description: Unprocessable entity
      security:
        - HTTPBearer: []
components:
  schemas:
    HubConfigListResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: '#/components/schemas/HubConfigResource'
          title: Data
          type: array
        meta:
          additionalProperties: true
          title: Meta
          type: object
      required:
        - data
        - meta
      title: HubConfigListResponse
      type: object
    JsonApiErrorResponse:
      description: Error JSON:API response.
      properties:
        errors:
          items:
            $ref: '#/components/schemas/JsonApiError'
          title: Errors
          type: array
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - errors
      title: JsonApiErrorResponse
      type: object
    HubConfigResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/HubConfigAttributes'
        id:
          title: Id
          type: string
        type:
          const: contact_attribute_hub_configs
          default: contact_attribute_hub_configs
          title: Type
          type: string
      required:
        - id
        - attributes
      title: HubConfigResource
      type: object
    JsonApiError:
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        source:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Source
        status:
          title: Status
          type: string
        title:
          title: Title
          type: string
      required:
        - status
        - title
      title: JsonApiError
      type: object
    HubConfigAttributes:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        definition_id:
          title: Definition Id
          type: string
        hub_id:
          title: Hub Id
          type: string
        is_in_onboarding:
          title: Is In Onboarding
          type: boolean
        is_in_profile:
          title: Is In Profile
          type: boolean
        is_read_only:
          title: Is Read Only
          type: boolean
        is_required:
          title: Is Required
          type: boolean
        is_searchable:
          title: Is Searchable
          type: boolean
        position:
          title: Position
          type: integer
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - hub_id
        - definition_id
        - is_in_profile
        - is_in_onboarding
        - is_required
        - is_read_only
        - is_searchable
        - position
        - created_at
        - updated_at
      title: HubConfigAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````